@import url("https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap");

/* définition des polices d'écriture */
@font-face {
  font-family: "Abril Fatface Regular";
  src: url("../assets/fonts/AbrilFatface-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "Montserrat Regular";
  src: local("Montserrat Regular"),
    url("../assets/fonts/Montserrat-Regular.woff") format("woff");
  font-style: normal;
  font-weight: normal;
}

@font-face {
  font-family: "Montserrat Black";
  src: local("Montserrat Black"),
    url("../assets/fonts/Montserrat-Black.woff") format("woff");
  font-style: normal;
  font-weight: normal;
}

@font-face {
  font-family: "Montserrat Light";
  src: local("Montserrat Light"),
    url("../assets/fonts/Montserrat-Light.woff") format("woff");
  font-style: normal;
  font-weight: normal;
}

@font-face {
  font-family: "Montserrat Bold";
  src: local("Montserrat Bold"),
    url("../assets/fonts/Montserrat-Bold.woff") format("woff");
  font-style: normal;
  font-weight: normal;
}

@font-face {
  font-family: "Montserrat SemiBold";
  src: local("Montserrat SemiBold"),
    url("../assets/fonts/Montserrat-SemiBold.woff") format("woff");
  font-style: normal;
  font-weight: normal;
}

:root {
  /* constantes couleurs */
  --coul-bleu-ciel: #87dfff;
  --coul-bleu-fonce: #000061;
  --coul-violet: #9f62ff;
  --coul-noir-allege: #1d1d1b;

  /* constantes font */
  --font-h2: "Abril Fatface Regular", Times, serif;
  --font-text: "Montserrat Regular", Helvetica, sans-serif;
  --font-text-black: "Montserrat Black", Helvetica, sans-serif;
  --font-text-light: "Montserrat Light", Helvetica, sans-serif;
  --font-text-bold: "Montserrat Bold", Helvetica, sans-serif;
  --font-text-semibold: "Montserrat SemiBold", Helvetica, sans-serif;

  /* Padding pour la section créations */
  --creations-padding: 1vw;
  /* Durée de l'animation du carousel collaborations */
  --time-collaborations: 120s;
  /* Durée de l'animation du carousel entête */
  --time-header-carousel: 1s;
}

* {
  margin: 0;
  padding: 0;
  text-align: center;
  box-sizing: border-box;
  border: none;
}

html {
  font-size: 16px;
  /* scroll-behavior: smooth; */
}

body {
  min-width: 320px;
  max-width: 1920px;
  height: 100vh;
  margin: auto;
  background-color: #dddddd;
  font-family: var(--font-text);
  font-size: 13px;
}

.h2-container {
position: absolute;
top: 50vh;
left:50vw;
transform: translate(-50%, -50%);
}

h2 {
  color: #000;
  font-family: var(--font-text-semibold);
  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 50px;
  font-size: 33px;
  letter-spacing: 0.2rem;
  margin: 0;
  padding: 1rem 2rem;
  z-index: 100;
}

/* Entête ----------------------------------------------------------------------- */
header {
  position: relative;
  max-width: 2500px;
  height: 90vh;
}

header .logo {
  position: relative;
  top: 20px;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  z-index: 99;
}

.header-carousel-item {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity var(--time-header-carousel) ease-in-out;
}

.header-carousel-item.active {
  opacity: 1;
}

.header-carousel-image img {
  object-fit: cover;
}

.header-carousel-image {
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: scroll;
  z-index: 1;
  /* opacity: 0.8; */
}

.header-carousel-slogan {
  position: relative;
  bottom: 300px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
  font-family: var(--font-text-light);
  font-size: 10px;
  /* font-size: 1rem; */
  text-align: center;
  line-height: 1.4;
  color: black;
  background-color: white;
  /* width: clamp( 100px, 72.99270072992701vw + 5.383211678832117rem, 200px ); */
  /* width: 200px; */
  width: 150px;
  /* height: clamp( 100px, 72.99270072992701vw + 5.383211678832117rem, 200px ); */
  /* height: 200px; */
  height: 150px;
  border-radius: 50%;
  align-content: center;
  text-transform: uppercase;
  z-index: 50;
}

.ici {
  font-family: var(--font-h2);
  font-size: 10px;
}

.slogan-gras {
  font-family: var(--font-text-bold);
}

/* Conteneur du défilement (overflow hidden pour masquer les bords) */
.carousel {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 250px;
  /* Hauteur fixe pour les images */
}

/* Conteneur des images (flex pour alignement horizontal) */
.carousel-items {
  display: flex;
  height: 100%;
  width: max-content;
  /* Permet d'étendre au-delà de la largeur du parent */
  column-gap: 10px;
  animation: defilement var(--time-collaborations) linear infinite;
  /* Durée ajustable */
}

/* Footer ---------------------------------------------------------------------- */
footer {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 80px;
  grid-template-areas: 'logo reseaux_sociaux copyright';
  gap: 8px;
  margin-top: 2rem;
  margin-bottom: 2.5rem;
}

footer .logo {
  grid-area: logo;
  text-align: left;
  align-content: center;
  padding-left: 20px;
}

footer .logo img {
  width: 150px;
  height: auto;
}

footer .copyright {
  grid-area: copyright;
  text-align: right;
  align-content: center;
  padding-right: 20px;
}

footer .copyright p {
  text-align: right;
}

footer .copyright a {
  color: var(--coul-bleu-fonce);
}

.reseaux_sociaux {
  display: flex;
  grid-area: reseaux_sociaux;
  justify-content: center;
}

.reseaux_sociaux .icon {
  margin: 0 20px;
  text-align: center;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
  z-index: 2;
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.reseaux_sociaux .icon span {
  display: block;
  height: 60px;
  width: 60px;
  /* background: #fff; */
  border-radius: 50%;
  position: relative;
  z-index: 2;
  /* box-shadow: 0px 10px 10px rgba(0, 0, 0, 0.5); */
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.reseaux_sociaux .icon span i {
  line-height: 60px;
  font-size: 25px;
}

.reseaux_sociaux .icon .tooltip {
  position: absolute;
  top: 0;
  z-index: 1;
  background: #fff;
  color: #fff;
  font-family: "Poppins", sans-serif;
  padding: 10px 18px;
  font-size: 15px;
  font-weight: 500;
  border-radius: 25px;
  opacity: 0;
  pointer-events: none;
  box-shadow: 0px 10px 10px rgba(0, 0, 0, 0.1);
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.reseaux_sociaux .icon:hover .tooltip {
  top: -50px;
  opacity: 1;
  pointer-events: auto;
}

.reseaux_sociaux .icon a:visited {
  color: var(--coul-noir-allege);
}

.icon .tooltip:before {
  position: absolute;
  content: "";
  height: 15px;
  width: 15px;
  background: #fff;
  left: 50%;
  bottom: -6px;
  transform: translateX(-50%) rotate(45deg);
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.reseaux_sociaux .icon:hover span {
  color: #fff;
}

.reseaux_sociaux .icon:hover span,
.reseaux_sociaux .icon:hover .tooltip {
  text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.4);
}

.reseaux_sociaux .instagram:hover span,
.reseaux_sociaux .instagram:hover .tooltip,
.reseaux_sociaux .instagram:hover .tooltip:before {
  background: #e1306c;
}

.reseaux_sociaux .linkedin:hover span,
.reseaux_sociaux .linkedin:hover .tooltip,
.reseaux_sociaux .linkedin:hover .tooltip:before {
  background: #0a66c2;
}

/* Mentions légales ------------------------------------------------------------ */
/* .mentions-legales {
  margin-left: 10%;
  margin-right: 10%;
  font-family: var(--font-text);
}

.mentions-legales :has(h3, h4, p, li) {
  color: var(--coul-bleu-fonce);
}

.mentions-legales a {
  color: red
}

.mentions-legales h3 {
  font-size: 2.5rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
}

.mentions-legales h4 {
  font-size: 2rem;
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}

.mentions-legales h3,
h4 {
  text-align: left;
}

.mentions-legales ul li {
  list-style-type: none;
}

.mentions-legales .presentation-site li {
  padding-left: 2rem;
  list-style-type: none;
}

.mentions-legales p+p {
  margin-top: 0.75rem;
}

.mentions-legales p+ul {
  margin-top: 0.5rem;
}

.mentions-legales p,
li {
  text-align: justify;
}

.mentions-legales .list-browser li {
  margin-left: 2rem;
  list-style-type: disc;
  list-style-position: outside;
} */

/* Styles responsives ---------------------------------------------------------- */
@media screen and (max-width: 767px) {
  #myBtn {
    bottom: 40px;
  }

  footer {
    display: grid;
    grid-template-rows: 80px 80px;
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:
      'logo copyright'
      'reseaux_sociaux reseaux_sociaux';
    padding-right: 1rem;
    padding-left: 1rem;

    img {
      height: 100px;
    }
  }
}